%define src_ver 0.001
%define languagelocal afrikaans
%define languageeng afrikaans
%define languagecode af

Summary: 	Afrikaans files for ispell
Name: 		ispell-%{languagecode} 
Version: 	0.001
Release: 	4mdk
URL: 		http://www.ccwr.ac.za/ccwr/users/devos/afr_ispell.html
Source:		http://www.af.org.za/aflaai/ispell/ispell.af.tar.bz2
Copyright: 	BSD-like
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

%description
ispell-af has the spelling data for Afrikaans which is used by
the ispell program. With this extension, you can compose a document
in Afrikaans and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -n ispell-%{languagecode}
mv -f afrikaans.a-z %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.001-4mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.001-3mdk
- Cleaned up the spec and moved to standard template.

* Mon May 22 2000 Schalk W. Cronj <schalkc@ntaba.co.za> 0.001-2mdk
- First version for Mandrake - copied from other Mandrake ispell spec files
